# Package org.apache.ignite.internal.processors.cache.persistence.wal.crc

Class Summary
PureJavaCrc32: This class was taken from Hadoop org.apache.hadoop.util.PureJavaCrc32 A pure-java implementation of the CRC32 checksum that uses the same polynomial as the built-in native CRC32.

Exception Summary
IgniteDataIntegrityViolationException: Will be thrown if data integrity violation is found

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018